diff --git a/gnu/local.mk b/gnu/local.mk
index 741c72a653..15352f68d4 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -56,7 +56,7 @@
 # Copyright © 2022 Alex Griffin <a@ajgrf.com>
 # Copyright © 2022 ( <paren@disroot.org>
 # Copyright © 2022 jgart <jgart@dismail.de>
-# Copyright © 2023 Zheng Junjie <873216071@qq.com>
+# Copyright © 2023, 2024 Zheng Junjie <873216071@qq.com>
 # Copyright © 2023 Ivana Drazovic <iv.dra@hotmail.com>
 # Copyright © 2023 Andy Tai <atai@atai.org>
 # Copyright © 2023 B. Wilson <elaexuotee@wilsonb.com>
@@ -1514,7 +1514,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/libgeotiff-fix-tests-with-proj-9.3.1.patch	\
   %D%/packages/patches/libgeotiff-fix-tests-on-i386.patch	\
   %D%/packages/patches/libobjc2-unbundle-robin-map.patch	\
-  %D%/packages/patches/librime-fix-build-with-gcc10.patch	\
   %D%/packages/patches/libvirt-add-install-prefix.patch	\
   %D%/packages/patches/libziparchive-add-includes.patch		\
   %D%/packages/patches/lightdm-arguments-ordering.patch		\
diff --git a/gnu/packages/ibus.scm b/gnu/packages/ibus.scm
index 1e01bb0ea3..c821279bd3 100644
--- a/gnu/packages/ibus.scm
+++ b/gnu/packages/ibus.scm
@@ -12,6 +12,7 @@
 ;;; Copyright © 2021 Taiju HIGASHI <higashi@taiju.info>
 ;;; Copyright © 2022, 2023 Maxim Cournoyer <maxim.cournoyer@gmail.com>
 ;;; Copyright © 2023 Luis Felipe López Acevedo <luis.felipe.la@protonmail.com>
+;;; Copyright © 2024 Zheng Junjie <873216071@qq.com>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -454,7 +455,7 @@ (define-public ibus-anthy
 (define-public librime
   (package
     (name "librime")
-    (version "1.7.3")
+    (version "1.10.0")
     (source
      (origin
        (method git-fetch)
@@ -464,25 +465,8 @@ (define-public librime
        (file-name (git-file-name name version))
        (sha256
         (base32
-         "0pqk0i3zcii3fx5laj9qzbgd58jvq6wn31j76w4zix2i4b1lqcqv"))
-       (patches (search-patches "librime-fix-build-with-gcc10.patch"))
-       (modules '((guix build utils)))
-       (snippet
-        '(begin
-           (delete-file-recursively "thirdparty/src")
-           (delete-file-recursively "thirdparty/bin")
-           (delete-file-recursively "thirdparty/include/X11")
-           #t))))
+         "0p4ybmn2syhf30vwzrd6ms77xadhl2lh7d2apq2m1yzmy42mdydm"))))
     (build-system cmake-build-system)
-    (arguments
-     '(#:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'patch-source
-           (lambda _
-             (substitute* "CMakeLists.txt"
-               (("include_directories\\($\\{PROJECT_SOURCE_DIR\\}/thirdparty/include\\)") "")
-               (("link_directories\\($\\{PROJECT_SOURCE_DIR\\}/thirdparty/lib\\)") ""))
-             #t)))))
     (inputs
      (list boost
            capnproto
diff --git a/gnu/packages/patches/librime-fix-build-with-gcc10.patch b/gnu/packages/patches/librime-fix-build-with-gcc10.patch
deleted file mode 100644
index 49ad011b57..0000000000
--- a/gnu/packages/patches/librime-fix-build-with-gcc10.patch
+++ /dev/null
@@ -1,41 +0,0 @@
-From: Felix Gruber <felgru@posteo.net>
-Date: Mon, 6 Sep 2021 19:38:17 +0200
-Subject: [PATCH] Add missing <cmath> includes
-
-Fix a build failure with GCC 10 that manifests like this:
-
-------
-/tmp/guix-build-librime-1.7.3.drv-0/source/src/rime/gear/script_translator.cc: In member function ‘void rime::ScriptTranslation::PrepareCandidate()’:
-/tmp/guix-build-librime-1.7.3.drv-0/source/src/rime/gear/script_translator.cc:490:23: error: ‘exp’ was not declared in this scope
-  490 |     cand->set_quality(exp(entry->weight) +
-      |                       ^~~
-/tmp/guix-build-librime-1.7.3.drv-0/source/src/rime/gear/script_translator.cc:504:23: error: ‘exp’ was not declared in this scope
-  504 |     cand->set_quality(exp(entry->weight) +
-      |                       ^~~
-make[2]: *** [src/CMakeFiles/rime.dir/build.make:1241: src/CMakeFiles/rime.dir/rime/gear/script_translator.cc.o] Error 1
-------
-
-diff --git a/src/rime/gear/script_translator.cc b/src/rime/gear/script_translator.cc
-index 4a45f05..515c8db 100644
---- a/src/rime/gear/script_translator.cc
-+++ b/src/rime/gear/script_translator.cc
-@@ -7,6 +7,7 @@
- // 2011-07-10 GONG Chen <chen.sst@gmail.com>
- //
- #include <algorithm>
-+#include <cmath>
- #include <stack>
- #include <boost/algorithm/string/join.hpp>
- #include <boost/range/adaptor/reversed.hpp>
-diff --git a/src/rime/gear/table_translator.cc b/src/rime/gear/table_translator.cc
-index 162ac02..dbea76a 100644
---- a/src/rime/gear/table_translator.cc
-+++ b/src/rime/gear/table_translator.cc
-@@ -4,6 +4,7 @@
- //
- // 2011-07-10 GONG Chen <chen.sst@gmail.com>
- //
-+#include <cmath>
- #include <boost/algorithm/string.hpp>
- #include <boost/range/adaptor/reversed.hpp>
- #include <utf8.h>